import path_setting
from in_common.base_request import BaseRequest


class diary_update_request(BaseRequest):
    def __init__(self):
        self.data = self.api_load(path_setting.DIARY_UPDATE_CONFIG)

    def diary_update(self, topic_list):
        self.params["topic_list"] = topic_list
        return self.api_send(self.data["update"])





